Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 933 - Disk Druid will not create more than one primary partition
Summary: Disk Druid will not create more than one primary partition
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 5.2
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-23 21:33 UTC by Adam Thompson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-05 23:57:11 UTC


Attachments (Terms of Use)

Description Adam Thompson 1999-01-23 21:33:39 UTC
Disk Druid cannot (so far as I can tell) be forced to
create PRIMARY partitions.  The first partition on the
drive becomes /dev/hda1, but hda2,hda3,hda4 are always
skipped.  The next partition is always hda5, which is some
bizarre MSDOS-extended-partition-like scheme.

This is confusing for long-time users of Linux, but can be
REALLY bad in a system that dual-boots between RH5.2 and
some other Linux system.

Additionally, Partition Magic seems to get confused by
this scheme.  (Although -- Partition Magic seems confused
in general, by this computer :-).

I realize that this is more "flexible" for people who don't
fully understand partitioning, or who don't have experience
reformatting hard disks :-)  but for such an otherwise
pretty installer, I'd like to be able to get rid of fdisk.
However, I like primary partitions.  Period.

Comment 1 David Lawrence 1999-02-05 23:57:59 UTC
Thanky you for your suggestion. It will be considered for the next
release of Red Hat Linux. Until then we have left fdisk available for
people who want more flexibility on how they want their partitions
setup. Disk druid attempts to hide the specifics from the general
user. It is causing problems with other partitioning utilities which
does not happen with fdisk then we of course would like to know abou
that.


Note You need to log in before you can comment on or make changes to this bug.